/*--------------------------------------------------------------------------------------------------
 Copyright      Copyright ABB, 2008.
                All rights reserved. Reproduction, modification,
                use or disclosure to third parties without express
                authority is forbidden.

 System         Subsystem HART
 Module         Device description
 Description    Root device description.
 Remarks	Includes all necessary device descriptions files of the device

--------------------------------------------------------------------------------------------------*/
/*
** @(#)EDP300-HART.ddl      1.0 18/02/2009**
** Filename: EDP300-HART.ddl
** Spec revision: 	DDL-Specification(spec500)  DDL spec
**			FF-901 FS 1.0  DDL Interoperability spec
**                	Spec500r12.1
**                	Spec501r11.1
** Date of last created: 18/02/2010
** Date of last change:	
** Description:	Electro-Pneumatic Positioner
**	Author:	Pradipta Kishore Bala	(INCRC,India)
*/

/*****************************************************************************
 * The manufacturer line
 *****************************************************************************
 */

/*Use below manufacture line when create dd for hart 5 */
MANUFACTURER ABB, DEVICE_TYPE 0x8d/*_EDP300*/, DEVICE_REVISION 1, DD_REVISION 1
/*****************************************************************************
 * Include Standard Files
 *****************************************************************************
 */
#include "macros.h"
#include "methods.h"

/*****************************************************************************
 * Include Supporting Files
 *****************************************************************************
 */
#include "1a8d01_Define.h"
#include "1a8d01_Standard.dd"
#include "1a8d01_DevSpecObject.dd"
#include "1a8d01_Collection.dd"
#include "1a8d01_DiagnosisSubSystem.dd"
#include "1a8d01_CustomMethod.dd"
#include "1a8d01_AdvancedUI.dd"
#include "1a8d01_ValveSignatureTest.dd"
#include "1a8d01_SpeedOverPositonTest.dd"
#include "1a8d01_StepResponseTest.dd"
#include "1a8d01_ValveSeatTest.dd"
#include "1a8d01_LekageTest.dd"
#include "1a8d01_PertialStrokeTest.dd"
#include "1a8d01_DragIncator.dd"
#include "1a8d01_TrendHistogram.dd"
#include "1a8d01_Relation.dd"
#include "1a8d01_Menu.dd"
#include "1a8d01_MenuPDM.dd"
