/*-----------------------------------------------------------------------------------------*/
/*									EDP300 DEFINE											*/
/*-----------------------------------------------------------------------------------------*/
#ifndef EDP300_DEFINE_H
#define EDP300_DEFINE_H

//Multi-language support
#define ABB_Identify   "|en|Identify"
#define ABB_EasySetup   "|en|Easy set-up"
#define ABB_Parameterize   "|en|Parameterize"
#define ABB_Calibration   "|en|Calibration"
#define ABB_Simulation   "|en|Simulation"
#define ABB_Observe     "|en|Process values"
#define ABB_Diagnosis   "|en|Diagnosis"
#define ABB_device_type_Label   "|en|Device type"
#define ABB_device_id_Label   "|en|Device serial no"
#define ABB_transmitter_revision_Label   "|en|Device revision"



#define AnalogFBModuleAvailable ((ProcessIO_activatedOptions & 0x0001) == 0x0001)
#define DigitalFBModuleAvailable ((ProcessIO_activatedOptions & 0x0002) == 0x0002)
#define UniversalAIModuleAvailable ((ProcessIO_activatedOptions & 0x0008) == 0x0008)
#define PressureDP (((ProcessIO_activatedOptions & 0x0004) == 0x0004) && ((IpConverter_ipType == 2) || (IpConverter_ipType == 3)))
#define PressureModuleAvailable ((ProcessIO_activatedOptions & 0x0004) == 0x0004)
//resetHistogramSelTable

#define	VDIAG_POSITION_HOURS	{0,	"POSITION_HOURS"}
#define	VDIAG_POSITION_DAYS	{1,	"POSITION_DAYS"}
#define	VDIAG_POSITION_ENDLESS	{2,	"POSITION_ENDLESS"}
#define	VDIAG_UNIVERSAL_AI_HOURS	{3,"UNIVERSAL_AI_HOURS"}
#define	VDIAG_UNIVERSAL_AI_DAYS	{4,"UNIVERSAL_AI_DAYS"}
#define	VDIAG_UNIVERSAL_AI_ENDLESS	{5,"UNIVERSAL_AI_ENDLESS"}
#define	VDIAG_VALVE_CYC_POSITION_HOURS	{6,"VALVE_CYC_POSITION_HOURS"}
#define	VDIAG_VALVE_CYC_POSITION_DAYS	{7,"VALVE_CYC_POSITION_DAYS"}
#define	VDIAG_VALVE_CYC_POSITION_ENDLESS	{8,"VALVE_CYC_POSITION_ENDLESS"}
#define	VDIAG_VALVE_MOVEMENTS_POSITION_HOURS	{9,"VALVE_MOVEMENTS_POSITION_HOURS"}
#define	VDIAG_VALVE_MOVEMENTS_POSITION_DAYS	{10,"VALVE_MOVEMENTS_POSITION_DAYS"}
#define	VDIAG_VALVE_MOVEMENTS_POSITION_ENDLESS	{11,"VALVE_MOVEMENTS_POSITION_ENDLESS"}
#define	VDIAG_POSITION_TIMEOUT_POSITION_HOURS	{12,"POSITION_TIMEOUT_POSITION_HOURS"}
#define	VDIAG_POSITION_TIMEOUT_POSITION_DAYS	{13,"POSITION_TIMEOUT_POSITION_DAYS"}
#define	VDIAG_POSITION_TIMEOUT_POSITION_ENDLESS	{14,"POSITION_TIMEOUT_POSITION_ENDLESS"}
#define STICTION_COUNTER_POSITION_HOURS {15, "Stiction cntr pos hrs"}
#define STICTION_COUNTER_POSITION_DAYS     {16, "Stiction cntr pos Days"}
#define STICTION_COUNTER_POSITION_ENDLESS     {17, "Stiction cntr pos EL"}
#define FRICTION_COUNTER_POSITION_HOURS     {18, "Friction cntr pos hrs"}
#define FRICTION_COUNTER_POSITION_DAYS     {19, "Friction cntr pos Days"}
#define FRICTION_COUNTER_POSITION_ENDLESS     {20, "Friction cntr pos EL"}
#define RESET_ALL_HISTOGRAM     {21, "Reset all Histogram"}
#define NO_HISTOGRAM_RESET  {22, "No Histogram reset"}


#define ENUM_RESETHISTOGRAM_SEL_TABLE	\
VDIAG_POSITION_HOURS, \
VDIAG_POSITION_DAYS, \
VDIAG_POSITION_ENDLESS, \
VDIAG_UNIVERSAL_AI_HOURS, \
VDIAG_UNIVERSAL_AI_DAYS, \
VDIAG_UNIVERSAL_AI_ENDLESS, \
VDIAG_VALVE_CYC_POSITION_HOURS, \
VDIAG_VALVE_CYC_POSITION_DAYS, \
VDIAG_VALVE_CYC_POSITION_ENDLESS, \
VDIAG_VALVE_MOVEMENTS_POSITION_HOURS, \
VDIAG_VALVE_MOVEMENTS_POSITION_DAYS, \
VDIAG_VALVE_MOVEMENTS_POSITION_ENDLESS, \
VDIAG_POSITION_TIMEOUT_POSITION_HOURS, \
VDIAG_POSITION_TIMEOUT_POSITION_DAYS, \
VDIAG_POSITION_TIMEOUT_POSITION_ENDLESS, \
STICTION_COUNTER_POSITION_HOURS, \
STICTION_COUNTER_POSITION_DAYS, \
STICTION_COUNTER_POSITION_ENDLESS, \
FRICTION_COUNTER_POSITION_HOURS, \
FRICTION_COUNTER_POSITION_DAYS, \
FRICTION_COUNTER_POSITION_ENDLESS, \
RESET_ALL_HISTOGRAM, \
NO_HISTOGRAM_RESET

//	resetDataDiagramSelTable
#define	VDIAG_CONTROL_DEVIATION_HOURS	{0,	"CONTROL_DEVIATION_HOURS"}
#define	VDIAG_CONTROL_DEVIATION_DAYS	{1,	"CONTROL_DEVIATION_DAYS"}
#define	VDIAG_CONTROL_DEVIATION_ENDLESS	{2,	"CONTROL_DEVIATION_ENDLESS"}
#define	RESET_ALL_DIAGRAM	{3,	"RESET_ALL_DIAGRAM"}
#define	NO_DIAGRAM_RESET	{4,	"NO_DIAGRAM_RESET"}

#define	ENUM_RESETDATADIAGRAM_SEL_TABLE	\
VDIAG_CONTROL_DEVIATION_HOURS \
VDIAG_CONTROL_DEVIATION_DAYS, \
VDIAG_CONTROL_DEVIATION_ENDLESS, \
RESET_ALL_DIAGRAM,\
NO_DIAGRAM_RESET

//	resetTrendSelTable
#define	VDIAG_TEMPERATURE_MAX_HOURS	{0,	"TEMPERATURE_MAX_HOURS"}
#define	VDIAG_TEMPERATURE_MAX_DAYS	{1,	"TEMPERATURE_MAX_DAYS"}
#define	VDIAG_TEMPERATURE_MAX_ENDLESS	{2,	"TEMPERATURE_MAX_ENDLESS"}
#define	VDIAG_Z_PRESSURE_MAX_HOURS	{3,	"Z_PRESSURE_MAX_HOURS"}
#define	VDIAG_Z_PRESSURE_MAX_DAYS	{4,	"Z_PRESSURE_MAX_DAYS"}
#define	VDIAG_Z_PRESSURE_MAX_ENDLESS	{5,	"Z_PRESSURE_MAX_ENDLESS"}
#define	VDIAG_UNIVERSAL_AI_MAX_HOURS	{6,	"UNIVERSAL_AI_MAX_DAYS"}
#define	VDIAG_UNIVERSAL_AI_MAX_DAYS	{7,	"UNIVERSAL_AI_MAX_DAYS"}
#define	VDIAG_UNIVERSAL_AI_MAX_ENDLESS	{8,	"UNIVERSAL_AI_MAX_ENDLESS"}
#define	VDIAG_CONTROL_DEVIATION_MAX_HOURS	{9,	"CONTROL_DEVIATION_MAX_HOURS"}
#define	VDIAG_CONTROL_DEVIATION_MAX_DAYS	{10,	"CONTROL_DEVIATION_MAX_DAYS"}
#define	VDIAG_CONTROL_DEVIATION_MAX_ENDLESS	{11,	"CONTROL_DEVIATION_MAX_ENDLESS"}
#define	DIFFERENTIAL_PRESS_HOURS	{12,	"DIFFERENTIAL_PRESS_HOURS"}
#define	DIFFERENTIAL_PRESS_DAYS	{13,	"DIFFERENTIAL_PRESS_DAYS"}
#define	DIFFERENTIAL_PRESS_ENDLESS	{14,	"DIFFERENTIAL_PRESS_ENDLESS"}
#define	RESET_ALL_TRENDS	{15,	"RESET_ALL_TRENDS"}
#define	NO_TREND_RESET	{16,	"NO_TREND_RESET"}

#define	ENUM_RESEETTREND_SEL_TABLE	\
VDIAG_TEMPERATURE_MAX_HOURS,\
VDIAG_TEMPERATURE_MAX_DAYS,\
VDIAG_TEMPERATURE_MAX_ENDLESS,\
VDIAG_Z_PRESSURE_MAX_HOURS,\
VDIAG_Z_PRESSURE_MAX_DAYS,\
VDIAG_Z_PRESSURE_MAX_ENDLESS,\
VDIAG_UNIVERSAL_AI_MAX_HOURS,\
VDIAG_UNIVERSAL_AI_MAX_DAYS,\
VDIAG_UNIVERSAL_AI_MAX_ENDLESS,\
VDIAG_CONTROL_DEVIATION_MAX_HOURS,\
VDIAG_CONTROL_DEVIATION_MAX_DAYS,\
VDIAG_CONTROL_DEVIATION_MAX_ENDLESS,\
DIFFERENTIAL_PRESS_HOURS,\
DIFFERENTIAL_PRESS_DAYS,\
DIFFERENTIAL_PRESS_ENDLESS,\
RESET_ALL_TRENDS,\
NO_TREND_RESET

#define VDIAG_CRTL_TEST_PROF_RECTANGLE_F1 {4, "Square-pulse slow" }
#define VDIAG_CRTL_TEST_PROF_RECTANGLE_F2 {5,"Square-pulse middle"}
#define	VDIAG_CRTL_TEST_PROF_RECTANGLE_F3 {6,"Square-pulse fast"}
#define	VDIAG_CRTL_TEST_PROF_TRIANGLE_F1 {7,"Triangle-pulse slow "}
#define	VDIAG_CRTL_TEST_PROF_TRIANGLE_F2 {8,"Triangle-pulse middle "}
#define	VDIAG_CRTL_TEST_PROF_TRIANGLE_F3 {9,"Triangle-pulse fast"}
#define	VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F1 {10,"Sinus sweep slow"}
#define	VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F2 {11,"Sinus sweep middle"}
#define	VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F3 {12,"Sinus sweep fas"}
#define CTRL_TEST_PROF_SERI {0, "for seri chart test"}
#define CTRL_TEST_PROF_OMCT {1, "air liquide one million cycle test"}
#define CTRL_TEST_PROF_ADJ {2, "similar to auto adjustment"}
#define CTRL_TEST_PROF_IEC61514 {3, "some test cases of iec 61514"}

#define ValveDiagnosistestProfilelist   \
CTRL_TEST_PROF_SERI,\
CTRL_TEST_PROF_OMCT,\
CTRL_TEST_PROF_ADJ,\
CTRL_TEST_PROF_IEC61514,\
VDIAG_CRTL_TEST_PROF_RECTANGLE_F1,\
VDIAG_CRTL_TEST_PROF_RECTANGLE_F2,\
VDIAG_CRTL_TEST_PROF_RECTANGLE_F3,\
VDIAG_CRTL_TEST_PROF_TRIANGLE_F1,\
VDIAG_CRTL_TEST_PROF_TRIANGLE_F2,\
VDIAG_CRTL_TEST_PROF_TRIANGLE_F3,\
VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F1,\
VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F2,\
VDIAG_CRTL_TEST_PROF_SINUS_SWEEP_F3


#define PRESSURE_BAR	7
#define PRESSURE_PSI	6
#define PRESSURE_KPA	12
#define PRESSURE_MPA	237

#define SCOPE_FULL_ADJUST	0x00
#define SCOPE_CONTROLLER	0x02
#define SCOPE_VALVE_RANGE	0x04
#define SCOPE_ZERO		0x08
#define ADJUST_LOCKED 		0x80
/*
--> diagnosisModeTable <--
*/

#define VDIAG_CONTROL_LOOP_TEST {0,	"Control loop test"}
#define VDIAG_LEAKAGE_TEST {1,	"Leakage test"}
#define VDIAG_PARTIAL_STROKE {2,	"Partial stroke"}
#define VDIAG_STEP_RESPONSE {3,	"Step response"}
#define VDIAG_VALVE_SIGNATURE {4,	"Valve signature"}
#define VDIAG_SPEED_OVER_POSITION {5,	"Speed over position"}
#define VDIAG_ZERO_POINT_TEST {6,	"Zero point test"}
#define VDIAG_OFFLINE_INIT {7,	"Offline initial"}
#define VDIAG_MOVE_TO_LAST_SETPOINT {8,	"Move to setpoint (last action in offline diagnosis)"}
#define VDIAG_WAIT_UNTIL_DONE {9,	"Wait until setpoint reached"}
#define VDIAG_OFFLINE_READY {10,	"Ready"}
#define VDIAG_OFFLINE_FAILED {11,	"Offline Diagnosis done, internal failure"}

#define diagnosisModeTable	\
VDIAG_CONTROL_LOOP_TEST,\
VDIAG_LEAKAGE_TEST,\
VDIAG_PARTIAL_STROKE,\
VDIAG_STEP_RESPONSE,\
VDIAG_VALVE_SIGNATURE,\
VDIAG_SPEED_OVER_POSITION,\
VDIAG_ZERO_POINT_TEST,\
VDIAG_OFFLINE_INIT,\
VDIAG_MOVE_TO_LAST_SETPOINT,\
VDIAG_WAIT_UNTIL_DONE,\
VDIAG_OFFLINE_READY,\
VDIAG_OFFLINE_FAILED

#define VDIAG_NO_OFFLINE_DIAGNOSIS 0 //no offline diagnosis available
#define VDIAG_DIAGNOSIS_FAILED 1 //offline Diagnosis failed
#define VDIAG_ZERO_POSITION_TEST_PASSED 2 //position and universal AI in specified limits
#define VDIAG_ZERO_POSITION_TEST_FAILED 3 //position or universal AI outside specified limits
#define VDIAG_LEAKAGE_TEST_PASSED 4 //no leakage
#define VDIAG_LEAKAGE_TEST_COND1 5 //leakage in ...
#define VDIAG_PARTIAL_STROKE_TEST_PASSED 4 //last partial stroke OK
#define VDIAG_PARTIAL_STROKE_TEST_FAILED 5 //last partial stroke failed

/*
--> targetModeTable <--
*/
#define	CORD_MODE_OUT_OF_SERVICE	{0,	"Out of Service", "controller is out of service"}
#define	CORD_MODE_AUTO	{1,	"Control Mode", "position follows setpoint"}
#define	CORD_MODE_HART_SETPOINT	{2,	"Manual Setpoint Remote",    "position follows hart setpoint"}
#define	CORD_MODE_MAN_DIRECT	{3,	"Manual Local Adjust",    "direct drive via hmi"}
#define	CORD_MODE_MAN_SETPOINT	{4,	"Manual Local Setpoint",  "position follows hmi setpoint"}

#define	targetModeTable	\
CORD_MODE_OUT_OF_SERVICE,\
CORD_MODE_AUTO,\
CORD_MODE_HART_SETPOINT,\
CORD_MODE_MAN_DIRECT,\
CORD_MODE_MAN_SETPOINT

/*
--> userModeTable <--
*/

#define	CORD_MODE_USER_MODE_OFF	{0x00,	"User mode off"}
#define	CORD_MODE_MANUAL_ADJUST	{0x11,	"Manual adjust"}
#define	CORD_MODE_AUTO_ADJUST	{0x12,	"Auto adjust"}
#define	CORD_MODE_DIAGNOSIS	{0x13,	"Diagnosis"}

#define userModeTable	\
CORD_MODE_USER_MODE_OFF,\
CORD_MODE_MANUAL_ADJUST,\
CORD_MODE_DIAGNOSIS

/*
--> serviceModeTable <--
*/
#define	CORD_MODE_SERVICE_MODE_OFF	0x00
#define	CORD_MODE_SERICHRT	0x21
#define	CORD_MODE_DIRECT_SET_DIAMETER	0x22

#define serviceModeTable	\
CORD_MODE_SERVICE_MODE_OFF,\
CORD_MODE_SERICHRT,\
CORD_MODE_DIRECT_SET_DIAMETER

/*
--> modeTable <--
*/
#define	CORD_MODE_FAIL_FUNCTION	0x80
#define	CORD_MODE_BINARY_INPUT	0x81

#define	modeTable	\
CORD_MODE_FAIL_FUNCTION,\
CORD_MODE_BINARY_INPUT

#define VDIAG_TRIGGER_NONE {0,	"None"}
#define VDIAG_TRIGGER_INTERVAL {1,	"Interval"}

#define diagnosisTrigger	\
VDIAG_TRIGGER_NONE,\
VDIAG_TRIGGER_INTERVAL

/* Diagnosis flag Byte 0 */
#define diagnosisFlagsLEAKAGE	{0x01,	"Signals a leckage if set"}
#define diagnosisFlagsVALVE_CYCCNT_REACHEDLIMIT	{0x02,	"Cyclecounter active and limit reached"}
#define diagnosisFlagsTRAVEL_CNT_REACHEDLIMIT	{0x04,	"Travelcounter active and limit reached"}
#define diagnosisFlagsPOSITIONING_TIMEOUT	{0x08,	"Positioning timeout detected"}
#define diagnosisFlagsPARTIAL_STROKE_FAILED	{0x10,	"Last partial stroke has failed"}
#define diagnosisFlagsNV_BUSY	{0x20,	"Busy loading/storing archive"}
#define diagnosisFlagsNV_ERROR	{0x40,	"Error during NV loading/storing"}
#define diagnosisFlagsPRESSURE_HAMMER	{0x80,	"Pressure hammer on supply line"}

#define ValveDiagnosisdiagnosisFlagsByte0   \
diagnosisFlagsLEAKAGE,\
diagnosisFlagsVALVE_CYCCNT_REACHEDLIMIT,\
diagnosisFlagsTRAVEL_CNT_REACHEDLIMIT,\
diagnosisFlagsPOSITIONING_TIMEOUT,\
diagnosisFlagsPARTIAL_STROKE_FAILED,\
diagnosisFlagsNV_BUSY,\
diagnosisFlagsNV_ERROR,\
diagnosisFlagsPRESSURE_HAMMER

/*Diagnosis flag byte 1*/
#define diagnosisFlagsSTICTION_LIMIT_EXCEEDED	{0x01,	"stiction limit exceeded"}
#define diagnosisFlagsFRICTION_LIMIT_EXCEEDED	{0x02,	"friction limit exceeded"}
#define diagnosisFlagsU_AI_LIMIT_EXCEEDED	{0x04,	"universal input limit exceeded"}
#define diagnosisFlagsSUPPLY_PRESSURE_LOW_LIMIT_EXCEEDED	{0x08,	"supply pressure below user limit"}
#define diagnosisFlagsSUPPLY_PRESSURE_HIGH_LIMIT_EXCEEDED	{0x10,	"supply pressure above user limit"}
#define diagnosisFlagsSUPPLY_OVERPRESSURE	{0x20,	"supply pressure > 10bar"}
#define diagnosisFlagsINSUFFICIENT_SUPPLY_PRESSURE	{0x40,	"supply pressure too low (limit detected during autoadjust)"}

#define ValveDiagnosisdiagnosisFlagsByte1 \
diagnosisFlagsSTICTION_LIMIT_EXCEEDED,\
diagnosisFlagsFRICTION_LIMIT_EXCEEDED,\
diagnosisFlagsU_AI_LIMIT_EXCEEDED,\
diagnosisFlagsSUPPLY_PRESSURE_LOW_LIMIT_EXCEEDED,\
diagnosisFlagsSUPPLY_PRESSURE_HIGH_LIMIT_EXCEEDED,\
diagnosisFlagsSUPPLY_OVERPRESSURE,\
diagnosisFlagsINSUFFICIENT_SUPPLY_PRESSURE

/*Diagnosis flag byte 2*/
#define diagnosisFlagsLEAKAGE_CHECK_LINE_1	{0x01,	""}
#define diagnosisFlagsLEAKAGE_CHECK_LINE_2	{0x02,	""}
#define diagnosisFlagsLEAKAGE_CHECK_ACTUATOR	{0x04,	""}
#define diagnosisFlagsVALVE_BLOCKED	{0x10,	"valve is not moving any more"}
#define diagnosisFlagsOSCILLATION	{0x20,	"valve is oscillating"}

#define ValveDiagnosisdiagnosisFlagsByte2 \
diagnosisFlagsLEAKAGE_CHECK_LINE_1,\
diagnosisFlagsLEAKAGE_CHECK_LINE_2,\
diagnosisFlagsLEAKAGE_CHECK_ACTUATOR,\
diagnosisFlagsVALVE_BLOCKED,\
diagnosisFlagsOSCILLATION

/*Diagnosis flag byte 3*/
#define diagnosisFlagsVALUE_BUFFER_OVERFLOW	{0x01,	"Value buffer full but additional value requested"}
#define diagnosisFlagsKP_UP_EXCEEDED	{0x02,	""}
#define diagnosisFlagsKP_DN_EXCEEDED	{0x04,	""}
#define diagnosisFlagsTV_UP_EXCEEDED	{0x08,	""}
#define diagnosisFlagsTV_DN_EXCEEDED	{0x10,	""}
#define diagnosisFlagsY_OFFSET_UP_EXCEEDED	{0x20,	""}
#define diagnosisFlagsY_OFFSET_DN_EXCEEDED	{0x40,  ""}

#define ValveDiagnosisdiagnosisFlagsByte3   \
diagnosisFlagsVALUE_BUFFER_OVERFLOW, \
diagnosisFlagsKP_UP_EXCEEDED,\
diagnosisFlagsKP_DN_EXCEEDED,\
diagnosisFlagsTV_UP_EXCEEDED,\
diagnosisFlagsTV_DN_EXCEEDED,\
diagnosisFlagsY_OFFSET_UP_EXCEEDED,\
diagnosisFlagsY_OFFSET_DN_EXCEEDED

#define PIO_ACTIVATE_FOR_CHECK_FUNCTION {0x01,  "Check function"}
#define PIO_ACTIVATE_FOR_OFF_SPECIFICATION {0x02,   "Off specification"}
#define PIO_ACTIVATE_FOR_MAINTENACE {0x04,  "Maintenance"}
#define PIO_ACTIVATE_FOR_FAILURE {0x08, "Failure"}

#define FeedbackConfigList  \
PIO_ACTIVATE_FOR_CHECK_FUNCTION,\
PIO_ACTIVATE_FOR_OFF_SPECIFICATION,\
PIO_ACTIVATE_FOR_MAINTENACE,\
PIO_ACTIVATE_FOR_FAILURE

#define partialStrokeStateList\
{ 0x10, "No partial stroke"},\
{ 0x20, "Partial stroke interval"},\
{ 0x40, "Partial stroke HMI/DTM/EDD"},\
{ 0x06, "Last partial stroke passed"},\
{ 0x07, "Last partial stroke failed time out"},\
{ 0x08, "Last partial stroke failed out of range"},\
{ 0x09, "Last partial stroke failed user abort"},\
{ 0x0a, "Last partial stroke failed something else"}

#define configuration_flag_reset "Configuration Flag Reset|de|Konfigurationsmerker rcksetzen|fr|Remise  zro du mmento de configuration|it|Azzerare il flag di configurazione|sp|Reset del flag de configuracin"
#define configuration_flag_reset_help "Commands reset the configuration flag.|de|Bewirkt ein Rcksetzen des Konfigurationsmerkers.|fr|Commande provoquant la remise  zro du mmento de configuration.|it|Provoca un reset del flag di configurazione.|sp|Reposiciona el flag de configuracin."
#define configuration_flag_reset_execute "Execute Configuration Flag Reset?|de|Rcksetzen Konfigurationmerker durchfhren?|fr|Effectuer une remise  zro du mmento de configuration ?|it|Eseguire l'azzeramento del flag di configurazione?|sp|Ejecutar reposicin de indicador de configuracin?"

#define AllDiagnosisCmd48\
{ 0, "Position measurement Failure" },\
{ 1, "Valve blocked" },\
{ 2, "Positioning timeout - Check valve maintenance" },\
{ 3, "Positioning unstable" },\
{ 4, "Position out of travel range" },\
{ 5, "Zero-Point displacement" },\
{ 6, "kp up exceeded" },\
{ 7, "kp Down exceeded" },\
{ 8, "Setpoint failure electronics" },\
{ 9, "Setpoint out of range" },\
{ 10, "Device not calibrated" },\
{ 11, "Controller inactive" },\
{ 12, "Stroke counter limit exceeded" },\
{ 13, "Travel counter limit exceeded" },\
{ 14, "Electronic temperature measurement failure"  },\
{ 15, "Electronic temperature out of limits" },\
{ 16, "Configuration data failure" },\
{ 17, "Electronics - NV chip defect" },\
{ 18, "Non volatile data defect" },\
{ 19, "Leakage during operation" },\
{ 20, "Leakage chamber 1" },\
{ 21, "Leakage chamber 2" },\
{ 22, "Leakage in actuator"  },\
{ 23, "Pressure NV Data defect" },\
{ 24, "Pressure NV chip defect" },\
{ 25, "Overpressure from supply"  },\
{ 26, "Supply pressure limit low exceeded" },\
{ 27, "Supply pressure limit high exceeded" },\
{ 28, "Pressure hammer from supply" },\
{ 29, "tv up exceeded" },\
{ 30, "tv down exceeded" },\
{ 31, "Y-Offset Up exceeded" },\
{ 32, "Y-Offset Down exceeded" },\
{ 33, "Friction limit exceeded" },\
{ 34, "Stiction limit exceeded" },\
{ 35, "Universal input out of range" },\
{ 36, "Partial stroke failed" },\
{ 37, "Option module defect" },\
{ 38, "Universal input limit exceeded" },\
{ 39, "Analog output simulation active" },\
{ 40, "Binary output simulation active" },\
{ 41, "Fail safe active - via device error" },\
{ 42, "Fail safe active - via user" },\
{ 43, "Binary input active" },\
{ 44, "Switchpoint 1 exceeded" },\
{ 45, "Switchpoint 2 exceeded" },\
{ 46, "Analog output supply fault" },\
{ 47, "Pressure measurement defect" }

#define UNI_AI_TAB_STATUS_NOT_INITIALIZED {0, "not initialized"}
#define UNI_AI_TAB_STATUS_GOOD {1, "good (new table is valid)"}
#define UNI_AI_NOT_MON_INCR_OLD {2, "not monotonous increasing (old table is valid)"}
#define UNI_AI_NOT_ENOUGH_VALUES_OLD {4, "not enough values transmitted (old table is valid)"}
#define UNI_AI_TOO_MANY_VALUES_OLD {5, "too many values transmitted (old table is valid)"}
#define UNI_AI_GRAD_TOO_HIGH_OLD {6, "gradient of edge too high (old table is valid)"}
#define UNI_AI_VALUES_NOT_EXPECTED_OLD {7, "Values not excepted (old values are valid)"}
#define UNI_AI_TABLE_LOADED_OLD {8, "Table is currently loaded, set after TAB_OP_CODE = 1 and before TAB_OP_CODE = 3 (Additional access to table not valid, old values are valid)"}
#define UNI_AI_TABLE_SORT_CHECK_OLD {9, "sorting and checking of Table (Additional access to table not valid, old"}
#define UNI_AI_NOT_MON_INCR {20, "not monotonous increasing (table is not initialized)"}
#define UNI_AI_NOT_ENOUGH_VALUES {22, "not enough values transmitted (table is not initialized)"}
#define UNI_AI_TOO_MANY_VALUES {23, "too many values transmitted (table is not initialized)"}
#define UNI_AI_GRAD_TOO_HIGH {24, "gradient of edge too high (table is not initialized)"}
#define UNI_AI_VALUES_NOT_EXPECTED {25, "Values not excepted (table is not initialized)"}
#define UNI_AI_TABLE_LOADED {26, "Table is currently loaded, set after TAB_OP_CODE = 1 and before TAB_OP_CODE = 3 (Additional access to table not valid, table is not initialized)"}
#define UNI_AI_TABLE_SORT_CHECK {27, "sorting and checking of Table (Additional access to table not valid, table is not"}

#define TabStatusCode	\
UNI_AI_TAB_STATUS_NOT_INITIALIZED,	\
UNI_AI_TAB_STATUS_GOOD,	\
UNI_AI_NOT_MON_INCR_OLD,	\
UNI_AI_NOT_ENOUGH_VALUES_OLD,	\
UNI_AI_TOO_MANY_VALUES_OLD,	\
UNI_AI_GRAD_TOO_HIGH_OLD,	\
UNI_AI_VALUES_NOT_EXPECTED_OLD,	\
UNI_AI_TABLE_LOADED_OLD,	\
UNI_AI_TABLE_SORT_CHECK_OLD,	\
UNI_AI_NOT_MON_INCR,	\
UNI_AI_NOT_ENOUGH_VALUES,	\
UNI_AI_TOO_MANY_VALUES,	\
UNI_AI_GRAD_TOO_HIGH,	\
UNI_AI_VALUES_NOT_EXPECTED,	\
UNI_AI_TABLE_LOADED,	\
UNI_AI_TABLE_SORT_CHECK

#endif